Bug 101334 - Large numbers of standard DocBook character entities missing or incorrect
Large numbers of standard DocBook character entities missing or incorrect
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xmlto (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://ksvanhorn.com/Personal/charent...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 17:42 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:10:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-30 17:42:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The document referenced by URL above is a DocBook article listing every
character entity in the DocBook DTD.  (Two character entities -- gammad and
b.gammad -- are commented out to work around the bug described in bug report
101059.) When I used xmlto to convert this to Postscript, I found that many of
the character entities did not display at all; others displayed incorrectly as
underlined textual descriptions; and several displayed as the wrong symbol.

Version-Release number of selected component (if applicable):
xmlto-0.0.12

How reproducible:
Always

Steps to Reproduce:
1. Download http://ksvanhorn.com/Personal/charent-mod.xml
2. Run "xmlto ps charent-mod.xml"
3. View the file charent-mod.ps produced.
    

Actual Results:  Here is a list of the character entities that failed to display
or displayed incorrectly, organized by the file in the DocBook DTD that defines
them:

- iso-amsa.ent:
  - hArr      shows up as "E365", underlined
  - rarrw     shows up as "arrowwaveright", underlined
- iso-amsb.ent
  - Barwed    shows up as "perspcorrespond", underlined
- iso-amsc.ent
  - rpargt    does not display at all
- iso-amsn.ent
  - gnap      does not display at all.
  - lnap      does not display at all.
  - npre      does not display at all.
  - nsce      does not display at all.
  - nsmid     does not display at all.
  - prnap     shows up as "precedesnotsimilar", underlined.
  - prnE      does not display at all.
  - prnsim    shows up as "precedesnotsimilar", underlined.
  - scnE      does not display at all.
  - vsubnE    does not display at all.
- iso-amso.ent
  - ell       does not display at all.
  - sbsol     does not display at all.
- iso-amsr.ent
  - bcong     shows up as "allequal", underlined.
  - bepsi     does not display at all.
  - gap       shows up as "greaterequivlnt", underlined
  - Gg        shows up as "verymuchgreater", underlined
  - gsim      shows up as "greaterequivlnt", underlined
  - lap       shows up as "lessequivlnt", underlined
  - Ll        shows up as "verymuchless", underlined
  - lsim      shows up as "lessequivlnt", underlined
  - models    shows up as "truestate", underlined
  - smid      does not display at all
  - vDash     shows up as "forcesextra", underlined
- iso-box.ent
  - NOT A SINGLE ONE OF THE CHARACTER ENTITIES DISPLAYS  
- iso-grk1.ent
  - thgr      shows up as "texttheta", underlined
- iso-grk3.ent
  - epsi      does not display at all
  - epsis     does not display at all
  - thetas    shows up as "textthetas", underlined
  - thetav    shows up as "textvartheta", underlined
  - gammad    causes xmlto to crash with message of "Undefined control
              sequence" (reported in bug report 101059; commented out
              in charent-mod.xml).
- iso-grk4.ent
  - b.thetas  shows up as "texttheta", underlined
  - b.thetav  shows up as "textvartheta", underlined
  - b.gammad  causes xmlto to crash with message of "Undefined control
              sequence" (reported in bug report 101059; commented out
              in charent-mod.xml).
- iso-lat2.ent
  - hstrok    shows up as "Elzxh", underlined
  - jcirc     shows up as a solid black rectangle, with "^" above it
              [xmlto outputs an error message,
               "dvips: Warning: missing glyph `dotlessj'"]
  - eng       shows up as a black rectangle
              [xmlto outputs an error message,
               "dvips: Warning: missing glyph `eng'"]
  - ENG       shows up as a black rectangle       
              [xmlto outputs an error message,
               "dvips: Warning: missing glyph `Eng'"]
- iso-num.ent
  - shy       does not display at all
  - numsp     shows up as an extra blank line; should be a space the
              width of a digit.
  - puncsp    shows up as an extra blank line; should be a space the
              width of a comma.
  - incare    does not display at all
  - block     does not display at all
  - uhblk     does not display at all
  - lhblk     does not display at all
  - blk14     does not display at all
  - blk12     does not display at all
  - blk34     does not display at all
  - marker    does not display at all
  - rect      has two tilde characters superimposed on it
  - telrec    shows as an uppercase Greek letter sigma; should be
              telephone recorder symbol
  - copysr    does not display at all
  - caret     does not display at all
  - rx        shows as "Elzxrat", underlined
  - dlcrop    does not display at all
  - drcrop    does not display at all
  - ulcrop    does not display at all
  - urcrop    does not display at all
- iso-tech.ent
  - ang90     shows as "rightangle", underlined
  - angsph    shows as "Elzrparlt", underlined
  - iff       shows as "E365", underlined
  - isin      does not display at all
  - lang      does not display at all
  - ni        does not display at all
  - rang      does not display at all
  - wedgeq    shows as "estimates", underlined



Additional info:
Comment 1 Bill Nottingham 2006-08-05 01:08:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 14:10:46 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.